Free storage performance and capacity monitoring

Download

Download current version 0.48 (it is platform independent)

STOR2RRD requires the storage API, any web sever, RRDTool with Perl support, Perl itself and TimeDate Perl module. There is not generall restriction for versions of those supporting tools.
Table below shows all necessary packages together with their dependency packages. You can install even newer packages, it is up to you.

AIX prerequisite packages

Package

STOR2RRD site download

Notes

DSCLI NA DSCLI for IBM DS8000, tested with 7.6.31.165
Perl perl-5.8.2-1.aix5.1.ppc.rpm Perl is usually distributed in AIX® OS
TimeDate TimeDate-1.16.tar.gz Perl module
XML:Simple NA Perl module necessary for IBM SVC®/Storwize® support
AIX® usualy contains that, check more on install page
Apache apache-1.3.31-1.aix5.1.ppc.rpm Apache 2.4.x from Michael Felt's archive
RRDTool rrdtool-1.2.13-1.perl58.aix5.2.ppc.rpm dependency packages in the table are valid for v1.2
It also contains RRDTool Perl package
Expat expat-1.95.7-4.aix5.1.ppc.rpm RRDTool dependency
Freetype2 freetype2-2.1.7-5.aix5.1.ppc.rpm RRDTool dependency
Libart_lgpl libart_lgpl-2.3.17-4.aix5.1.ppc.rpm RRDTool dependency
Libpng libpng-1.2.8-6.aix5.2.ppc.rpm RRDTool dependency
Zlib zlib-1.2.3-4.aix5.2.ppc.rpm RRDTool dependency

RRDTool 1.4.8 with all prerequisites for AIX® to download fromSTORR2RRD web
RRDTool 1.4.7 and Apache 2.4.4 for AIX® with their dependencies

Other OS platforms

It should work on any UNIX platform. It has been tested on AIX ®and Redhat Linux®.

 

 

Links

Download

Others

Contact